#
# spec file for package python-pylibacl
#
# Copyright (c) 2020 SUSE LLC
# Copyright (c) 2013-2020 LISA GmbH, Bingen, Germany
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pylibacl
Version:        0.5.4
Release:        bp153.1.21
Summary:        POSIX1e ACLs for python
License:        LGPL-2.1-or-later
URL:            https://pylibacl.k1024.org/
Source:         https://files.pythonhosted.org/packages/source/p/pylibacl/pylibacl-%{version}.tar.gz
Patch:          09c5bd80cf811a0e7b81ceddfb525d576885e097.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
BuildRequires:  pkgconfig(libacl)
%python_subpackages

%description
This is a C extension module for Python which
implements POSIX ACLs manipulation. It is a wrapper on top
of the systems's acl C library - see acl(5).

%prep
%setup -q -n pylibacl-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%pytest_arch

%files %{python_files}
%license COPYING
%doc NEWS README.rst
%{python_sitearch}/*

%changelog
* Mon Feb 24 2020 Hans-Peter Jansen <hpj@urpla.net>
- apply a manually merged version of
  09c5bd80cf811a0e7b81ceddfb525d576885e097.patch, in order to fix
  build with 32 bit archs https://github.com/iustin/pylibacl/issues/13
* Thu Jan  9 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.5.4:
  * Switch to python3 interpreter
  * minor documentation improvements
- Switch to singlespec
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
- We really don't need to support SLE-11 in openSUSE packages.
* Sun Oct 18 2015 ecsos@opensuse.org
- update to 0.5.3
  - Enable all FreeBSD versions after 7.x at level 2
  - Make test suite pass under FreeBSD, which has a stricter
    behaviour with regards to invalid ACLs (which we do exercise
    in the test suite)
- update to 0.5.2
  - No visible changes release: just fix tests when running under
    pypy.
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Mar 20 2013 speilicke@suse.com
- Use "-fno-strict-aliasing"
- Simply documentation build
* Thu Mar 14 2013 hpj@urpla.net
- version 0.5.1: initial build
